#ifndef COPYDIRTHREAD_H
#define COPYDIRTHREAD_H

#include <QThread>

class CopyDirThread : public QThread {
    Q_OBJECT
public:
    CopyDirThread();
    QStringList dirSrcs;
    QString dirDst;
protected:
    void run();
    bool copyDir(const QString &fromDir, const QString &toDir, bool coverFileIfExist);

    int i{0};
    int copiedSize = 0;
signals:
    void sigProgress(int, int);
};
#endif // COPYDIRTHREAD_H
